Description

The pulp installer runs:

openssl rand -base64 32    | tr '+/' '-_' > /etc/pulp/certs/database_fields.symmetric.key

 and sets ownership to pulp

https://github.com/pulp/pulp_installer/blob/120942e1cb98ad3fb47c63ac9568f2fda09f25f5/roles/pulp_database_config/tasks/generate

_database_fields_key.yml

Associated revisions

Revision 06f9e45d - 10/20/2021 05:18 PM - Justin Sherrill

Fixes #33733 - generate key for db encryption

History

#1 - 10/19/2021 10:20 PM - Justin Sherrill

foreman does something similar by running a rake task in an rpm script, i could see doing this either in:

1) the installer

2) the pulpcore rpm post script

#2 - 10/20/2021 12:27 PM - Evgeni Golov

- Description updated

#3 - 10/20/2021 12:29 PM - Ewoud Kohl van Wijngaarden

- Target version set to 3.1.0

Justin Sherrill wrote:

The pulp installer runs:

[...]

and sets ownership to pulp

 Does it need to own it or should it really be read-only to the pulp user? If so I'd prefer to set the owner to root and group to pulp.

#4 - 10/20/2021 01:40 PM - Justin Sherrill

- Target version deleted (3.1.0)

I think what you suggest with regard to ownership makes sense, edit isn't needed

#5 - 10/20/2021 02:01 PM - Justin Sherrill
https://github.com/pulp/pulp_installer/blob/120942e1cb98ad3fb47c63ac9568f2fda09f25f5/roles/pulp_database_config/tasks/generate_database_fields_key.yml
https://github.com/pulp/pulp_installer/blob/120942e1cb98ad3fb47c63ac9568f2fda09f25f5/roles/pulp_database_config/tasks/generate_database_fields_key.yml


- Target version set to 3.1.0

#6 - 10/20/2021 02:59 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Justin Sherrill

- Pull request https://github.com/theforeman/puppet-pulpcore/pull/235 added

#7 - 10/20/2021 06:01 PM - Justin Sherrill

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-pulpcore|06f9e45d658f641d3705b3165cfb93adbd125dd5.

#8 - 11/03/2021 02:12 PM - Ewoud Kohl van Wijngaarden

- Triaged changed from No to Yes

- Fixed in Releases 3.1.0 added
